Search documentation of phoenix_kit

# PhoenixKit.Install.MailerConfig (phoenix_kit v1.7.87)

Copy Markdown View Source

Handles mailer configuration for PhoenixKit installation.

This module provides functionality to:

- Configure development mailer with Swoosh.Adapters.Local
- Add production mailer templates for various providers
- Generate appropriate notices for mailer setup

## Summary

### Functions

add_mailer_configuration(igniter)

Adds PhoenixKit mailer configuration for development and production.

## Functions

# add_mailer_configuration(igniter)

Adds PhoenixKit mailer configuration for development and production.

Now supports both delegation mode and built-in mode:

- Delegation mode: Configure PhoenixKit to use parent app's mailer
- Built-in mode: Configure PhoenixKit's own mailer (legacy)

## Parameters

- `igniter` - The igniter context

## Returns

Updated igniter with mailer configuration and notices.